:
#
# version 3.0 Sep 25 11:21:02 PDT 1998
# version 3.1 Fri May  8 12:42:25 PST 1999 bpowell; 

umask 022
# This tool suite was written by and is copyrighted by Brad Powell, Matt 
# Archibald, and Dan Farmer 1992, 1993, 1994, 1995, 1996, 1997, 1998,1999
#  with input from Casper Dik, and Alec Muffett.
#
# The copyright holder disclaims all responsibility or liability with 
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE" 
# document which accompanies distribution. 

# setup
TITANHOME=`pwd`
PATH=/usr/ucb:/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
DATE=`/bin/date +%m%d%y%H%M`

OS=`uname -r`

# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
        fi

#
# suck in some lib functions (t_echo, etc.)
#
. misc_functions.sh

Intro () {

cat << EOF

  Script to keep name Service Cache Daemon from starting in the 
  /etc/rc2.d/S75nscd file
  Takes advantage of the fact that /etc/rc?.d files that begin with a K
  get sent the stop/kill command, thus we simply move S76nscd to K76nscd

EOF

}

Fix() {

if [ -f /etc/rc2.d/S??nscd -o /etc/rc3.d/S??nscd ] ; then
      for FILE in `ls /etc/*.d/S??nscd`
       do
	cp $FILE /etc/opt/S??nscd.ORIG.$DATE
	t_echo 2 " saving origional $FILE into /etc/opt"
	t_echo 0 " renaming $FILE to disable nscd service"
	mv $FILE `echo $FILE | tr -s S K`
      done
fi

}

Check() {

if [ -f /etc/*.d/S??nscd ]; then

      for FILE in `ls /etc/*.d/S??nscd`
       do
	t_echo 0 " Name Service Directory Cache is enabled in ${FILE} - FAILS CHECK"
	done
	else
	t_echo 2 " Name Service Directory Cache is disabled from starting  - PASSES CHECK"
	fi
}

action=$1
	case ${action} in
	-[Ii]*)
	Intro
	;;
	 -[Ff]*)
	Fix
	;;
	-[Vv]*)
	Check
	;;
	*)
        t_echo 1 "        ERROR:Invalid arg $action"
        t_echo 1 "        ERROR:Usage $MYNAME -[ivf] (I)ntro/(V)erify/(F)ix"
        t_echo 1 " "
	;;
	esac


